
Foreman - Bug #2849

Changing a host name, causes errors when a user wishes to rebuild the host.

07/28/2013 03:07 AM - Nir Magnezi

Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem:

I tried to change an existing host name and in some of the times theforeman did not allow it (complained about duplicate IP / MAC

addresses).

In other cases theforeman allowed me to change the host name but complained about the same error when I tried to rebuild the host.

Version-Release: 1.2.0

How reproducible: 3/3

Steps to Reproduce:

1. Add a Host to theforeman.

2. Change The host name

3. Go to the host page: https://&lt;theforeman fqdn>/hosts/<host fqdn>

4. Click Build

Actual results:

Fails with the following error:

Failed to enable <host fqdn> for installation: ["Ip has already been taken", "Mac has already been taken"]

Expected results:

No Error should be expected here.

Additional Information:

I tried to delete my Host and re-add it to theforeman (as a workaround), but theforman did not allow me to add the host with duplicate

IP / MAC error.

History

#1 - 07/29/2013 03:04 AM - Dominic Cleal

- Priority changed from Urgent to Normal

#2 - 08/04/2013 05:32 AM - Nir Magnezi

- File rename_machine.log added

- File setting_build_stat.log added

Find attached foreman logs (debug mode enabled):

1. rename_machine.log is when I just tried to rename an existing machine.

2. setting_build_stat.log when I tried to set a machine which was renamed to build state.

Files

rename_machine.log 34.9 KB 08/04/2013 Nir Magnezi

setting_build_stat.log 59.1 KB 08/04/2013 Nir Magnezi
